Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Enum StatType

    java.lang.Object
      java.lang.Enum<StatType>
          umontreal.iro.lecuyer.contactcenters.msk.stat.StatType

All Implemented Interfaces:
  Serializable, Comparable<StatType>

    public enum StatType

extends Enum<StatType>

Represents a type of statistic used by `StatCallCenterStat`.

Enum Constant Summary
`AVERAGE` Average.
`STANDARDDEVIATION` Standard deviation.
`STANDARDDEVIATIONOFAVERAGE` Standard deviation divided by the square root of the number of observations in the inner tally.
`VARIANCE` Variance.
`VARIANCEOFAVERAGE` Variance divided by the number of observations in the inner tally.

Method Summary
`static StatType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AVERAGE

    public static final StatType AVERAGE

  Average.

### VARIANCE

    public static final StatType VARIANCE

  Variance.

### STANDARDDEVIATION

    public static final StatType STANDARDDEVIATION

  Standard deviation.

### VARIANCEOFAVERAGE

    public static final StatType VARIANCEOFAVERAGE

  Variance divided by the number of observations in the inner tally.

### STANDARDDEVIATIONOFAVERAGE

    public static final StatType STANDARDDEVIATIONOFAVERAGE

  Standard deviation divided by the square root of the number of observations in the inner tally.

Method Detail

### values

    public static StatType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StatType c : StatType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StatType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.